# norootforbuild

%define qtdir /usr/lib/qt3

Name:		mandvd
Version:	2.6
Release:	5.1
Summary:	Video DVD creation tool
URL:		http://www.kde-apps.org/content/show.php/ManDVD?content=83906
License:	GNU General Public License (GPL)
Group:		Productivity/Multimedia/Video/Editors and Convertors
Source:		mandvd-%{version}-1.fc12.tar.gz
Patch0:		mandvd-lame2twolame.patch
Patch1:		mandvd-NTSC.patch
Patch2:		mandvd-gcc47.patch
Requires:       MPlayer
Requires:       dvdauthor
Requires:       dvd+rw-tools
Requires:       dvd-slideshow
Requires:	gimp-2.0
Requires:       /usr/bin/mkisofs
Requires:	mjpegtools
Requires:       netpbm
Requires:       transcode
Requires:       twolame
Requires:       xine-ui
BuildRequires:	qt3-devel
BuildRequires:  update-desktop-files
BuildRoot:	%{_tmppath}/%{name}-%{version}-build

%description
ManDVD is a graphical tool for creating Video DVDs, including menus.


%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
#%__sed -i '/^X-Desktop-File/d' mandvd.desktop

%build
export QTDIR="%{qtdir}"
%{qtdir}/bin/qmake "mandvd.pro"
test -e Makefile.m && %__perl -pi'.orig' -e 's/-O2/-O0/g if /^\s*C(XX)?FLAGS\s*=/' Makefile.m

%__make %{?jobs:-j%{jobs}}

%install
%__install -D -m 755 mandvd "%{buildroot}%{_bindir}/mandvd"
%__install -D -m 644 mandvd.desktop "%{buildroot}%{_datadir}/applications/%{name}.desktop"
%__install -D -m 644 mandvdico.png "%{buildroot}%{_datadir}/pixmaps/%{name}.png"
%__install -D -m 644 mandvdSplash.png "%{buildroot}%{_datadir}/pixmaps/mandvdSplash.png"

%suse_update_desktop_file -r %{name} AudioVideo DiscBurning


%files
%defattr(-,root,root)
%doc COPYING README TODO
%{_bindir}/mandvd
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/pixmaps/mandvdSplash.png

%clean
%__rm -rf "%{buildroot}"

%changelog
* Fri Dec 26 2014 obs@botter.cc
- Require /usr/bin/mkisofs instead of just mkisofs [PM-116]
* Sat May 19 2012 seife+obs@b1-systems.com
- fix build with gcc 4.7
- convert .spec to .changes file
* Sat Oct 17 2009 detlef@links2linux.de
- add NTSC patch
* Sun Aug 16 2009 Manfred.Tremmel@iiv.de
- added a patch to use twolame instead of lame (problems with lame >= 3.99
  and lame creates mp3, not mp2 what's needed for correct DVD)
* Thu Mar 12 2009 pascal.bleser@opensuse.org
- update to 2.5-5
* Sat Aug  9 2008 guru@unixtech.be
- fix Requires:gimp => gimp-2.0
* Sun Aug  3 2008 guru@unixtech.be
- added patch to work properly with lame 3.98 (which is now explicitly versioned in Requires:)
* Tue Jul  8 2008 guru@unixtech.be
- new upstream version:
  * fixed various bugs for computation of estimated DVD-size outcome
  * loading project recalculate estimated DVD-size
  * adjustments to calculation of final project size, hope its more accurate now
  * calculation only performed on files that shall be reencoded and more specific depending on input quality
  * removed SVCD and VCD standards and replaced it with only CDV option which is the half-size DVD standard,
    make reasonable quality with less space
  * fix bug so now its possible to remove intro video if its the last to remove
  * fix audio encoding to handle obscure bit rates when going to AC3
  * saved project files now handle Introduction Video better
  * saved project files does not have the same name that made things bad if different projects where stored in the same folder
  * various language updates in English and Portuguese
  * new translation to German by Kai Regenstein
* Fri Jul  4 2008 guru@unixtech.be
- added debug_package macro
- new upstream version: 2.5-3
- use fully qualified upstream source URL
- fixed Group: to be openSUSE compliant
- fixed Desktop category to be openSUSE compliant
- added doc files to package
* Sat Jun 28 2008 detlef@links2linux.de
- new upstream version <2.5>
* Sun Nov  5 2006 detlef@links2linux.de
- new upstream version
* Fri Nov  3 2006 detlef@links2linux.de
- new upstream version
* Fri Sep 15 2006 detlef@links2linux.de
- new upstream version
* Mon Sep 11 2006 detlef@links2linux.de
- new upstream version
* Fri Sep  8 2006 detlef@links2linux.de
- new upstream version
* Tue Sep  5 2006 detlef@links2linux.de
- new upstream version
* Sun Sep  3 2006 detlef@links2linux.de
- new upstream version
* Thu Aug 31 2006 detlef@links2linux.de
- new upstream version
* Sun Aug 27 2006 detlef@links2linux.de
- new upstream version
* Sat Aug 26 2006 detlef@links2linux.de
- new upstream version
* Wed Aug 23 2006 detlef@links2linux.de
- new upstream version
* Sun Aug 20 2006 detlef@links2linux.de
- new upstream version
* Fri Aug 18 2006 detlef@links2linux.de
- new upstream version
* Wed Aug 16 2006 detlef@links2linux.de
- new upstream version
* Mon Aug 14 2006 detlef@links2linux.de
- new upstream version
* Fri Aug 11 2006 detlef@links2linux.de
- new upstream version
* Tue Aug  8 2006 detlef@links2linux.de
- first build for packman
